org.apache.ignite.internal.processors.query.aware

## Enum IndexBuildStatusHolder.Status

- java.lang.Object
- - java.lang.Enum<IndexBuildStatusHolder.Status>
  - - org.apache.ignite.internal.processors.query.aware.IndexBuildStatusHolder.Status

All Implemented Interfaces:
  Serializable, Comparable<IndexBuildStatusHolder.Status>

Enclosing class:
  IndexBuildStatusHolder

    public static enum IndexBuildStatusHolder.Status
    extends Enum<IndexBuildStatusHolder.Status>

Enumeration of statuses.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`COMPLETE` All operations complete.
`DELETE` To be deleted.
`INIT` Initial status - operation(s) in progress.

### Method Summary

All Methods Static Methods Concrete Methods
`static IndexBuildStatusHolder.Status` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IndexBuildStatusHolder.Status[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INIT

    public static final IndexBuildStatusHolder.Status INIT

Initial status - operation(s) in progress.

#### COMPLETE

    public static final IndexBuildStatusHolder.Status COMPLETE

All operations complete.

#### DELETE

    public static final IndexBuildStatusHolder.Status DELETE

To be deleted.

### Method Detail

#### values

    public static IndexBuildStatusHolder.Status[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (IndexBuildStatusHolder.Status c : IndexBuildStatusHolder.Status.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static IndexBuildStatusHolder.Status valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022